Get a return
curl --request GET \
--url https://app.papelship.com/api/v1/orders/{invoiceId}/returns/{returnId} \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/orders/{invoiceId}/returns/{returnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/orders/{invoiceId}/returns/{returnId}"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/orders/{invoiceId}/returns/{returnId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/orders/{invoiceId}/returns/{returnId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"return": {
"id": "9f1c2a7b3d4e5f60",
"object": "return",
"order_id": "<string>",
"status": "requested",
"reason": "damaged",
"customer_note": "<string>",
"merchant_note": "<string>",
"return_location_id": 123,
"return_carrier_code": "<string>",
"return_carrier_name": "<string>",
"return_tracking_number": "<string>",
"return_tracking_url": "<string>",
"restocked": true,
"refund_cents": 123,
"items": [
{
"invoice_item_id": 123,
"quantity": 123,
"product_name": "<string>",
"variant_name": "<string>"
}
],
"events": [
{
"status": "<string>",
"note": "<string>",
"actor": "<string>",
"created_at": "2026-10-04T12:00:00.000Z"
}
],
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z",
"resolved_at": "2026-10-04T12:00:00.000Z"
}
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Returns
Get a return
Permission: fulfillment:read
GET
/
orders
/
{invoiceId}
/
returns
/
{returnId}
Get a return
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Public order ID.
Example:
"c35ffd-19a1b2c3d4e-8c7a20"
Return ID.
Example:
"9f1c2a7b3d4e5f60"